- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::DenseSymMatrixSpace Class Reference

This is the matrix space for DenseSymMatrix. More...

`#include <IpDenseSymMatrix.hpp>`

Inheritance diagram for Ipopt::DenseSymMatrixSpace:

[legend]
Collaboration diagram for Ipopt::DenseSymMatrixSpace:

[legend]
List of all members.

## Public Member Functions
DenseSymMatrix * | MakeNewDenseSymMatrix () const
| Method for creating a new matrix of this specific type.
virtual SymMatrix * | MakeNewSymMatrix () const
| Overloaded MakeNew method for the MatrixSpace base class.
Constructors / Destructors
| DenseSymMatrixSpace (Index nDim)
| Constructor for matrix space for DenseSymMatrices.
| ~DenseSymMatrixSpace ()
| Destructor.

## Detailed Description

This is the matrix space for DenseSymMatrix.

Definition at line 147 of file IpDenseSymMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::DenseSymMatrixSpace::DenseSymMatrixSpace | ( | Index | nDim | ) |

Constructor for matrix space for DenseSymMatrices.

Takes in dimension of the matrices.

Ipopt::DenseSymMatrixSpace::~DenseSymMatrixSpace | ( |  | ) | `[inline]`

Destructor.

Definition at line 158 of file IpDenseSymMatrix.hpp.

## Member Function Documentation

DenseSymMatrix* Ipopt::DenseSymMatrixSpace::MakeNewDenseSymMatrix | ( |  | ) | const`[inline]`

Method for creating a new matrix of this specific type.

Definition at line 163 of file IpDenseSymMatrix.hpp.

Referenced by Ipopt::DenseSymMatrix::MakeNewDenseSymMatrix(), and MakeNewSymMatrix().

virtual SymMatrix* Ipopt::DenseSymMatrixSpace::MakeNewSymMatrix | ( |  | ) | const`[inline, virtual]`

Overloaded MakeNew method for the MatrixSpace base class.

Implements Ipopt::SymMatrixSpace.

Definition at line 170 of file IpDenseSymMatrix.hpp.

References MakeNewDenseSymMatrix().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/src/LinAlg/IpDenseSymMatrix.hpp